Commit a85c79d7 authored by 余昆's avatar 余昆
Browse files

Merge remote-tracking branch 'upstream/branch-0.5.0' into branch-0.5.0-yk


Former-commit-id: 9ccd7ff2e4213902177bca7235603d48b8026f03
parents 0d02de8a f0122999
Loading
Loading
Loading
Loading
+7 −7
Original line number Diff line number Diff line
@@ -112,13 +112,13 @@ if [[ ${RUN_CPPLINT} == "ON" ]]; then
    fi
    echo "clang-format check passed!"

    # clang-tidy check
    make check-clang-tidy
    if [ $? -ne 0 ]; then
        echo "ERROR! clang-tidy check failed"
        exit 1
    fi
    echo "clang-tidy check passed!"
#    # clang-tidy check
#    make check-clang-tidy
#    if [ $? -ne 0 ]; then
#        echo "ERROR! clang-tidy check failed"
#        exit 1
#    fi
#    echo "clang-tidy check passed!"
else
    # compile and build
    make -j 4 || exit 1
+2 −2
Original line number Diff line number Diff line
@@ -263,8 +263,8 @@ SystemInfo::CPUTemperature() {
                object += "/temp1_input";
                FILE *file = fopen(object.c_str(), "r");
                if (file == nullptr) {
                    SERVER_LOG_ERROR << "Could not open temperature file"
                    exit(1);
                    SERVER_LOG_ERROR << "Could not open temperature file";
                    return result;
                }
                float temp;
                fscanf(file, "%f", &temp);
+5 −1
Original line number Diff line number Diff line
@@ -71,7 +71,11 @@ ValidationUtil::ValidateTableName(const std::string& table_name) {

Status
ValidationUtil::ValidateTableDimension(int64_t dimension) {
    if (dimension <= 0 || dimension > TABLE_DIMENSION_LIMIT) {
    if (dimension <= 0) {
        std::string msg = "Dimension value should be greater than 0";
        SERVER_LOG_ERROR << msg;
        return Status(SERVER_INVALID_VECTOR_DIMENSION, msg);
    } else if (dimension > TABLE_DIMENSION_LIMIT) {
        std::string msg = "Table dimension excceed the limitation: " + std::to_string(TABLE_DIMENSION_LIMIT);
        SERVER_LOG_ERROR << msg;
        return Status(SERVER_INVALID_VECTOR_DIMENSION, msg);